> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.resemble.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.resemble.ai/_mcp/server.

# Ask a question about a detection

POST https://app.resemble.ai/api/v2/detects/{uuid}/intelligence
Content-Type: application/json

Submit a natural-language question about a completed detection report. Returns 202 Accepted while the answer is generated in the background.

Reference: https://docs.resemble.ai/api-reference/detect-intelligence/ask-detect-intelligence-question

## Authentication

- `Authorization` header (bearer token, required) — API key from https://app.resemble.ai/hub/api

## Request

### Path parameters

- `uuid` (string, required) — UUID of the completed detection report

### Body (application/json)

This endpoint expects an object.

- `query` (string, required) — The natural-language question to ask about the detection

## Response

### 202

Question accepted

- `success` (boolean, optional)
- `item` (DetectsUuidIntelligencePostResponsesContentApplicationJsonSchemaItem, optional)

## Errors

### 400 Bad Request Error

Bad request (missing query)

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

### 404 Not Found Error

Detection not found

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

### 422 Unprocessable Entity Error

Detection not completed

- `success` (boolean, optional)
- `error` (string, optional)
- `errors` (map from string to list of string, optional)
- `message` (string, optional)

## Types

### DetectsUuidIntelligencePostResponsesContentApplicationJsonSchemaItem

- `uuid` (string, optional) — UUID of the question
- `detect_uuid` (string, optional) — UUID of the associated detection report
- `query` (string, optional) — The submitted question
- `answer` (string, optional, nullable) — The generated answer (null until completed)
- `status` (enum, optional) — Current status of the question
  - Allowed values: `pending`, `processing`, `completed`, `failed`
- `error_message` (string, optional, nullable) — Error details when status is failed
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)

## Examples

**Request**

```json
{
  "query": "string"
}
```

**Response**

```json
{
  "success": true,
  "item": {
    "uuid": "string",
    "detect_uuid": "string",
    "query": "string",
    "answer": "string",
    "status": "pending",
    "error_message": "string",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://app.resemble.ai/api/v2/detects/uuid/intelligence"

payload = { "query": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.resemble.ai/api/v2/detects/uuid/intelligence';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"query":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.resemble.ai/api/v2/detects/uuid/intelligence"

	payload := strings.NewReader("{\n  \"query\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.resemble.ai/api/v2/detects/uuid/intelligence")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"query\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.resemble.ai/api/v2/detects/uuid/intelligence")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"query\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.resemble.ai/api/v2/detects/uuid/intelligence', [
  'body' => '{
  "query": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.resemble.ai/api/v2/detects/uuid/intelligence");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"query\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["query": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.resemble.ai/api/v2/detects/uuid/intelligence")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```